Software requirements

Kaspersky Threat Intelligence Portal has the following hardware and software requirements:

Minimum general requirements:

Minimum hardware requirements:

Supported browsers:

We recommend that you always use the latest version of the supported browsers. You can download the latest versions from their vendors' official websites:

Microsoft Internet Explorer Mozilla Firefox Google Chrome Microsoft Edge Safari

If you use an unsupported browser, the functionality of Kaspersky Threat Intelligence Portal may be limited.

Page top